Name:		kchildlock
Version:	0.90.4
Release:	%mkrel 1
Summary:	Tool to monitor and restrict time spend on computer by a children
Source0:	http://ufpr.dl.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		http://kde-apps.org/content/show.php/KChildlock?content=88124
BuildRequires:	kdelibs4-devel

%description
kchildlock is a tool to monitor and restrict the time a children spends on the
computer. The limits can be specified per day of the week, by lower and upper
hour limits, maximum daily usage time, and maximum weekly usage time. The same
restriction limits can be applied to applications based on the user login. It
requires the KDE4 Desktop.

%files  -f %{name}.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/kcm_kchildlock.so
%{_kde_libdir}/kde4/kded_kchildlockdaemon.so
%{_kde_datadir}/config/kchildlockrc
%{_kde_services}/kcm_kchildlock.desktop
%{_kde_services}/kded/kchildlockdaemon.desktop
%{_var}/opt/kchildlock/dummy.txt
%{_kde_iconsdir}/hicolor/*/*/*
%doc %{_kde_docdir}/HTML/en/kcontrol/%{name}

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang %{name}

%clean
%__rm -rf %{buildroot}


%changelog
* Sun Jan 22 2012 Andrey Bondrov <abondrov@mandriva.org> 0.90.4-1mdv2011.0
+ Revision: 765019
- New version 0.90.4, drop patch (applied in upstream)

* Tue May 24 2011 Funda Wang <fwang@mandriva.org> 0.90.2-1
+ Revision: 678155
- update to new version 0.90.2

* Wed May 11 2011 Funda Wang <fwang@mandriva.org> 0.90.1-1
+ Revision: 673439
- new version 0.90.1

* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 0.80.2-1mdv2011.0
+ Revision: 622560
- new version 0.80.2

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.76.4-1mdv2011.0
+ Revision: 565892
- New version 0.76.4

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 0.76.3-1mdv2011.0
+ Revision: 550653
- New version 0.76.3
- more patch

* Fri Apr 23 2010 Funda Wang <fwang@mandriva.org> 0.76.2-1mdv2010.1
+ Revision: 538191
- fix detction on prefix of kde4
- really 0.76.2

* Fri Apr 23 2010 Funda Wang <fwang@mandriva.org> 0.76.1-2mdv2010.1
+ Revision: 538178
- new version 0.76.2

* Sat Apr 10 2010 Funda Wang <fwang@mandriva.org> 0.76.1-1mdv2010.1
+ Revision: 533544
- New version 0.76.1

* Wed Mar 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.75.4-1mdv2010.1
+ Revision: 523407
- New version 0.75.4
  Rediff patches
- Use kde macro for docdir

* Tue Mar 09 2010 Funda Wang <fwang@mandriva.org> 0.75.3-2mdv2010.1
+ Revision: 517077
- kworkspace is of no use
- correct fix for icon path

* Tue Mar 09 2010 Funda Wang <fwang@mandriva.org> 0.75.3-1mdv2010.1
+ Revision: 517050
- New version 0.75.3

* Tue Mar 02 2010 John Balcaen <mikala@mandriva.org> 0.75.2-1mdv2010.1
+ Revision: 513454
- import kchildlock

